ALTER PROCEDURE [dbo].[upd_cat_atributo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_atributo varchar(900) = null,
		@p_atributo_codigo varchar(100) = null,
		@p_nombreControl varchar(100) = null,
		@p_esVariable bit = null,
		@p_resaltado bit = null,
		@p_valorMinimo float = null,
		@p_ValorMaximo float = null,
		@p_id_seccionAtributo int = null,
		@p_id_tipoAtributo int = null,
		@p_id_unidad int = null,
		@p_esObligatorio bit = null
AS
BEGIN
		UPDATE [cat_atributo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[atributo] = isnull(@p_atributo,[atributo]),
			[atributo_codigo] = isnull(@p_atributo_codigo,[atributo_codigo]),
			[nombreControl] = isnull(@p_nombreControl,[nombreControl]),
			[esVariable] = isnull(@p_esVariable,[esVariable]),
			[resaltado] = isnull(@p_resaltado,[resaltado]),
			[valorMinimo] = isnull(@p_valorMinimo,[valorMinimo]),
			[ValorMaximo] = isnull(@p_ValorMaximo,[ValorMaximo]),
			[id_seccionAtributo] = isnull(@p_id_seccionAtributo,[id_seccionAtributo]),
			[id_tipoAtributo] = isnull(@p_id_tipoAtributo,[id_tipoAtributo]),
			[id_unidad] = isnull(@p_id_unidad,[id_unidad]),
			[esObligatorio] = isnull(@p_esObligatorio,[esObligatorio])
		WHERE (id = @p_id)
END
